###generate population
n<-500
x<-rnorm(n)
e1<-rnorm(n)
y1<-1+x+e1
p1<-exp(1+x)/(1+exp(1+x))
r1<-rbinom(n,1,p1)
e2<-rnorm(n)
y2<-1+x+y1+e2
p2<-exp(1+2*x+y1*r1)/(1+exp(1+2*x+y1*r1))
r2<-rbinom(n,1,p2)
Pi3<-exp(1+x+y1+y2)/(1+exp(1+x+y1+y2))
y3<-rbinom(n,1,Pi3)
p3<-exp(1+2*x+y1*r1+y2*r2)/(1+exp(1+2*x+y1*r1+y2*r2))
r3<-rbinom(n,1,p3)

dat<-cbind(x,y1,y2,y3,r1,r2,r3)
write.csv(dat,file='R:/teaching/short course/missing data/session6/simulation study/dat.csv')

glm(y3~x+y1+y2,family=binomial(link='logit'))
